  SUBROUTINE tssub_advdifx(sal,temp  &

                           ,cv_wat   &

                           )

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE tssub_advdifx  ***
!&E
!&E ** Purpose : call the good advection scheme depending of the cpp key
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : temp,sal,cv_wat
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2008-09  (V. Garnier) Original code
!&E       !  2009-04  (A. Mano, V. Garnier) MPI2D
!&E
!&E---------------------------------------------------------------------
!! Modules used
   USE parameters, ONLY : rsh,imin,imax,jmin,ljminm2,ljmaxp2,jmax,kmax,ljmin,ljmax, &
                          liminm1,limaxp2,limin,limax,ljminm1,ljmaxp1

   USE parameters, ONLY : nb_var



!! * Arguments
   REAL(KIND=rsh),DIMENSION(kmax,liminm1:limaxp2,ljminm1:ljmaxp2),       INTENT(in) :: temp,sal

   REAL(KIND=rsh),DIMENSION(nb_var,kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: cv_wat


!!----------------------------------------------------------------------
!! * Executable part


   CALL tssub_advdifx_uq(sal,temp         &

                                 ,cv_wat  &

                                         )



  END SUBROUTINE tssub_advdifx
